// Ex-p5-Audio-Image2
// Pour p5.js
// 20-10-2016
// Utilise: libraries/p5.js
// Utilise: libraries/p5.sound.js
// http://p5js.org/reference/#/p5.Amplitude
// http://p5js.org/reference/#/p5.Amplitude/setInput
// http://p5js.org/reference/#/p5.Amplitude/getLevel

var song, analyzer;
var flowers = [];
var Fond;

function preload() {
  song = loadSound('cecile.mp3');
  for (var i = 0; i < 3; i++) {
    flowers[i] = loadImage("images/flower" + i + ".png");
  }
  Fond = loadImage("images/lasource.jpg");
}

function setup() {
  createCanvas(600, 400);
  song.loop();
  analyzer = new p5.Amplitude(); // create a new Amplitude analyzer
  analyzer.setInput(song); // Patch the input to an volume analyzer
}

function draw() {
  imageMode(CORNER)
  background(Fond);
  var rms = analyzer.getLevel();
  // text(rms, 100, 100);
  imageMode(CENTER);
  if (rms < 0.03) {
    image(flowers[0], width / 2, height / 2, 10 + rms * 1000, 10 + rms * 1000);
  } else {
    if (rms < 0.2) {
      image(flowers[1], width / 2, height / 2, 10 + rms * 1000, 10 + rms * 1000);
    } else {
      image(flowers[2], width / 2, height / 2, 10 + rms * 1000, 10 + rms * 1000);
    }
  }
}